/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	// The require scope
/******/ 	var __webpack_require__ = {};
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": function() { return /* binding */ swiper; }
});

;// CONCATENATED MODULE: ./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/lib/loaders/templateLoader.js??ruleSet[1].rules[2]!./node_modules/vue-loader/lib/index.js??vue-loader-options!./packages/swiper/src/main.vue?vue&type=template&id=60a1c950&
var render = function render() {
  var _vm = this,
    _c = _vm._self._c;
  return _c("div", {
    staticClass: "jdf-swiper"
  }, [_vm.imgList.length === 0 ? _c("el-image", {
    attrs: {
      src: _vm.defaultImageUrl
    }
  }) : _c("swiper", {
    ref: "mySwiper",
    staticClass: "swiper-top",
    attrs: {
      options: _vm.swiperOptions
    }
  }, [_vm._l(_vm.imgList, function (url, index) {
    return _c("swiper-slide", {
      key: index
    }, [_c("el-image", {
      attrs: {
        src: url
      }
    })], 1);
  }), _vm.imgList.length > 1 ? [_c("div", {
    staticClass: "swiper-button-next swiper-button-white",
    attrs: {
      slot: "button-next"
    },
    slot: "button-next"
  }), _c("div", {
    staticClass: "swiper-button-prev swiper-button-white",
    attrs: {
      slot: "button-prev"
    },
    slot: "button-prev"
  })] : _vm._e()], 2), _vm.showThumbs && _vm.imgList.length > 1 ? _c("div", {
    staticClass: "swiper-thumbs swiper-container gallery-thumbs"
  }, [_c("div", {
    staticClass: "swiper-wrapper justiy-center"
  }, _vm._l(_vm.imgList, function (url, index) {
    return _c("div", {
      key: "thumb" + index,
      staticClass: "swiper-slide"
    }, [_c("el-image", {
      attrs: {
        src: url
      }
    })], 1);
  }), 0)]) : _vm._e()], 1);
};
var staticRenderFns = [];
render._withStripped = true;

;// CONCATENATED MODULE: ./packages/swiper/src/main.vue?vue&type=template&id=60a1c950&

;// CONCATENATED MODULE: external "@babel/runtime/helpers/defineProperty"
var defineProperty_namespaceObject = require("@babel/runtime/helpers/defineProperty");
var defineProperty_default = /*#__PURE__*/__webpack_require__.n(defineProperty_namespaceObject);
;// CONCATENATED MODULE: ./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/lib/index.js??vue-loader-options!./packages/swiper/src/main.vue?vue&type=script&lang=js&

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { defineProperty_default()(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
/* harmony default export */ var mainvue_type_script_lang_js_ = ({
  name: 'JdfSwiper',
  props: {
    // 图片url列表
    imgList: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    // imgList为空时展示的默认图片
    defaultImageUrl: String,
    // swiper组件配置
    options: {
      type: Object,
      default: function _default() {}
    },
    // 是否显示缩略图
    showThumbs: {
      type: Boolean,
      default: false
    }
  },
  data: function data() {
    return {
      // swiper组件默认的属性配置
      defaultOptions: {
        initialSlide: 0,
        autoplay: true,
        speed: 1000,
        navigation: {
          nextEl: '.swiper-button-next',
          prevEl: '.swiper-button-prev'
        },
        thumbs: {
          swiper: {
            el: '.swiper-thumbs',
            spaceBetween: 10,
            slidesPerView: 5,
            freeMode: true,
            watchSlidesVisibility: true,
            watchSlidesProgress: true
          }
        }
      }
    };
  },
  computed: {
    // swiper配置
    swiperOptions: function swiperOptions() {
      return _objectSpread(_objectSpread({}, this.defaultOptions), this.options);
    },
    // swiper组件对象
    swiper: function swiper() {
      var _this$$refs, _this$$refs$mySwiper;
      return (_this$$refs = this.$refs) === null || _this$$refs === void 0 ? void 0 : (_this$$refs$mySwiper = _this$$refs.mySwiper) === null || _this$$refs$mySwiper === void 0 ? void 0 : _this$$refs$mySwiper.swiper;
    }
  },
  mounted: function mounted() {
    var _this$swiper;
    (_this$swiper = this.swiper) === null || _this$swiper === void 0 ? void 0 : _this$swiper.slideTo(0, 1000, true);
  }
});
;// CONCATENATED MODULE: ./packages/swiper/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_mainvue_type_script_lang_js_ = (mainvue_type_script_lang_js_); 
;// CONCATENATED MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent(
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier /* server only */,
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options =
    typeof scriptExports === 'function' ? scriptExports.options : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) {
    // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () {
          injectStyles.call(
            this,
            (options.functional ? this.parent : this).$root.$options.shadowRoot
          )
        }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functional component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}

;// CONCATENATED MODULE: ./packages/swiper/src/main.vue





/* normalize component */
;
var component = normalizeComponent(
  src_mainvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* harmony default export */ var main = (component.exports);
;// CONCATENATED MODULE: ./packages/swiper/index.js

main.install = function (Vue) {
  Vue.component(main.name, main);
};
/* harmony default export */ var swiper = (main);
module.exports = __webpack_exports__;
/******/ })()
;